package com.autocareai.mvvmdemo.demo.list

import android.widget.ImageView
import com.autocareai.lib.extension.load
import com.autocareai.lib.widget.recyclerview.BaseViewHolder
import com.autocareai.mvvmdemo.R
import com.autocareai.mvvmdemo.common.view.BaseAdapter
import com.autocareai.mvvmdemo.demo.enity.PopularWebsitesEntity


/**
 * <pre>
 *     author : louis wang
 *     time   : 2020/06/28
 *     desc   : 常用网站适配器
 *     version: 1.0
 * </pre>
 */
class PopularWebsitesAdapter :
    BaseAdapter<PopularWebsitesEntity>(R.layout.recycle_item_popular_websites) {

    override fun convert(helper: BaseViewHolder, item: PopularWebsitesEntity) {
        super.convert(helper, item)

        helper.setText(R.id.tvTitle, item.name)
        helper.setText(R.id.tvLink, item.link)
        helper.getView<ImageView>(R.id.image)
            .load(item.link, R.mipmap.ic_launcher, R.mipmap.ic_launcher)
    }
}