package com.autocareai.mvvmdemo.demo.enity

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

/**
 * <pre>
 *     author : Taylor Zhang
 *     time   : 2020/06/24
 *     desc   : 用户数据
 *     version: 1.0.0
 * </pre>
 */
@Parcelize
class UserEntity : Parcelable {
    // TODO: 2020/6/24 这里不用使用 data class，普通的 class 即可
    // TODO: 2020/6/24 每一个字段都需要写注释，对于多状态字段，或者布尔字段，要写明各种情况下的含义
    // TODO: 2020/6/24 字段必须赋初值，使用简写即可，比如 var email = ""，而不是 var email = ""

    // xx
    var admin = false

    // xx
    var chapterTops = ArrayList<String>()

    // xx
    var collectIds = ArrayList<String>()

    // xx
    var email = ""

    // xx
    var icon = ""

    // xx
    var id = ""

    // xx
    var nickname = ""

    // xx
    var password = ""

    // xx
    var token = ""

    // xx
    var type = 0

    // xx
    var username = ""
}